
<template>
    <b-container>

        <div class="mb-3 col-lg-4 col-ms-12">
            <label for="unit" class="form-label">แบรนด์</label>
            <select class="form-select" aria-label="unit" v-model="type_brand" @change="onPageChanged">
                <option v-for="item in global_brand_front" :key="item.id" :value="item.id">
                    {{ item.name_th }}
                </option>
            </select>
        </div>
        <br><br>

        <div class="row g-5" v-if="items_get.length > 0"  ref="infoBox">
            <div :key="index" v-for="(item, index) in items" class="col-lg-4 col-md-6 wow zoomIn" data-wow-delay="0.6s">
                <div class="service-item bg-light rounded d-flex flex-column align-items-center justify-content-center text-center">

                    <img :src="'/product/'+item.image" style="width: 150px;" class="img-thumbnail mb-3" :alt="item.name_th + item.name_en+' ผักสลัดไฮโดรโปนิกส์'">

                    <h4 class="mb-3 FC_Ekaluck">{{item.name_th +" ("+ item.name_en+") "}}</h4>

                    <p class="p FC_Ekaluck" v-if="!item.readActivated">{{item.discription.slice(0,18)}}...
                        <span class=" badge bg-primary" @click="item.readActivated = !item.readActivated">รายละเอียด</span>
                    </p>
                    <p class="p FC_Ekaluck" v-if="item.readActivated">{{item.discription}}
                        <span class=" badge bg-primary" @click="item.readActivated = !item.readActivated">ซ่อน</span>
                    </p><br><br>

                    <!-- <a class="btn btn-lg btn-success rounded" href="#">
                        <i class="bi bi-arrow-right"></i>
                    </a> -->
                </div>
            </div>
        </div>
        <div class="row g-5" :style="{ 'height': height_product }" v-else>
        <!-- <div class="row g-5" v-else> -->
            <div class="text-center ">
                <b-spinner variant="success" label="Spinning"></b-spinner>
            </div>
        </div>
        <br><br>

        <b-row>
            <b-col md="6" class="my-1">
                <b-pagination
                @change="onPageChanged"
                :total-rows="totalRows"
                :per-page="perPage"
                v-model="currentPage"
                class="my-0"
                />
            </b-col>
        </b-row>
    </b-container>
</template>

<script>

    export default {
    name: "MyBootstrapGrid",
    data() {
        return {
            type_brand: null,

            items: [],
            items_get: [],
            currentPage: 1,
            perPage: 3,
            totalRows: null,
            height_product: 0
        };
    },
    props:{
            id_type:null
        },
    computed: {},
    methods: {
        matchHeight() {
            if (this.items.length > 0) {
                var heightString = this.$refs.infoBox.clientHeight;
                this.height_product = heightString+'px';
                // Vue.set(this.leftColStyles, 'height', heightString);

            }

        },


        async getData(){
            await this.matchHeight();
            await this.globalGetBrandFront(6);

            this.items_get = [];
            // await setTimeout(() =>
            await axios.post('/api/product_show/list',{
                    id_type : 6,
                    type_brand : this.type_brand,
                    take : this.perPage,
                    to : this.currentPage,
                }).then(response =>{

                    response.data.data_product.forEach(element => {
                        element.readActivated = false;
                        this.items_get.push(element);
                    });
                    this.items = this.items_get;
                    this.totalRows = response.data.all_count;
                    this.type_brand = response.data.brand;



                }).catch(err =>{
                    console.log(err);
                })



            // , 100);

            // setTimeout(
            //     alert(this.currentPage)
            // , 50000);
        },

        onPageChanged() {

            this.getData();
            // this.paginate(this.perPage, page - 1);
        }
    },
    mounted() {


        this.getData();
        // this.paginate(this.perPage, 0);
    }
    };
</script>


